# Class ImagingOpException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.awt.image.ImagingOpException

All Implemented Interfaces:
  `Serializable`

public class ImagingOpException extends RuntimeException
The `ImagingOpException` is thrown if one of the `BufferedImageOp` or `RasterOp` filter methods cannot process the image.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImagingOpException(String s)`
Constructs an `ImagingOpException` object with the specified message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImagingOpException

public ImagingOpException(String s)
Constructs an `ImagingOpException` object with the specified message.

Parameters:
  `s` - the message to generate when a `ImagingOpException` is thrown